﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    #Cecilia
    image cecilia happy = "cecilia_happy.png"
    image cecilia overjoyed = "cecilia_overjoyed.png"
    image cecilia sad = "cecilia_sad.png"
    image cecilia worry = "cecilia_worry.png"
    #Emily
    image emily angry = "emily_angry.png"
    image emily annoyed = "emily_normal_annoyed.png"
    image emily happy = "emily_happy.png"
    image emily overjoyed = "emily_overjoyed.png"
    image emily shy = "emily_shy.png"
    #Censorship
    image bg tmoge1 = "tmoge1.jpg"
    image bg tmoge2 = "tmoge2.jpg"
    image bg tmoge3 = "tmoge3.jpg"
    #Background
    image bg studio = "31.jpg"
    image bg white = "#FFFFFF"
    image bg black = "#000000"
    # Declare characters used by this game.
    $ c = Character('Cecilia', color="#FF9933")
    $ d = Character('Dei', color="#0000CC")
    $ e = Character('Emily', color="#9900CC")
        
# The game starts here.
label start:
    
    scene bg white
    with fade
    
    centered "{color=#000000}{i}Windbreaker Productions{/i} presents{/color}"

    centered "{color=#000000}Their Third Kinetic Novel{/color}"

    centered "{color=#000000}Dialogue by{/color} {color=#9900CC}{i}Emily Berkano{/i}{/color}"
    
    centered "{color=#000000}Scripted by{/color} {i}{color=#0000CC}Dei Akarinazo{/color}{/i}"
    
    centered "{color=#000000}Art created by{/color} {i}{color=#FF9933}Cecilia Rosewood{/color}{/i}"
    
    centered "{color=#000000}T.M.O.G.E. - {i}The Most Offensice Game Ever{/i}{/color}"
    
    $ ui.timer(5.0, ui.jumps("tmoge1"))
    
label tmoge1:

        scene bg tmoge1
        with pixellate
        
        e "Wait, where is the offensive content?"
        c "I thought there was going to be a sketch here..."
        
        $ ui.timer(5.0, ui.jumps("tmoge2"))
        
label tmoge2:

        scene bg tmoge2
        with fade
        
        c "Censored?"
        e "Seriously Dei, this isn't funny."
        c "Why is my artwork censored all of a sudden?"
        e "Yeah! This is seriously fucked up."
        
        $ ui.timer(5.0, ui.jumps("tmoge3"))
        
label tmoge3:

        scene bg tmoge3
        with dissolve
        
        e "Goddamnit Dei! Why are you editing this game?"
        c "Didn't you like how offensive it was?"
        c "That's what you wanted, right?"
        e "Who knows what this sadistic bastard wants anymore?"
        
        $ ui.timer(5.0, ui.jumps("tmogeend"))
        
label tmogeend:

        scene bg black
        with pixellate
        
        centered "Thank you for playing The Most Offensive Game Ever."
        centered "Goodbye."
        
        scene bg studio
        with fade
        
        show emily angry at left
        with dissolve
        show cecilia sad at right
        with dissolve
        
        e "What the fuck was that man?"
        "Boy, was Emily pissed at me for my last-minute editing..."
        d "Now Emily, I can explain..."
        c "Why aren't my sketches in there? You said you liked them very much."
        "And Cecilia was saddened by the fact that I removed her rather well done sketches of shock sites I told her to reference."
        d "To be honest, the game was too {i}obvious{/i} in trying to be offensive."
        "I stated honestly."
        
        show emily annoyed at left
        with dissolve
        show cecilia worry at right
        with dissolve
        e "So?"
        "Emily said, still glaring daggers at me."
        d "So, like any artist who has their pen dipped in the font of satire's ink, I decided to make it more {i}subtle{/i}."
        d "Do you get it now?"
        
        show emily shy at left
        with dissolve
        show cecilia worry at right
        with dissolve
        
        e "You mean..."
        c "This is a stab at the conservative agenda of censorship and morality?"
        d "Damn straight it is!"
        
        show emily happy at left
        with dissolve
        show cecilia happy at right
        with dissolve
        
        e "Alright! Power to Liberalism!"
        c "Free Speech Forever!"
        d "Glad you two like this {i}groovy{/i} idea I had."
        
        show emily overjoyed at left
        with dissolve
        show cecilia overjoyed at right
        with dissolve
        
        e "Dei, if you say groovy one more time, I'm seriously going to start thinking you're high."
        d "Eh? I'm not high, I'm just happy."
        c "Sure you haven't been eating Asuka's {i}magic brownies{/i}?"
        d "Nah, no way!"
        
        scene bg white
        with dissolve
        
        centered "{color=#00CC66}And that is how TMOGE was born, amongst three friends with a liberal agenda...{/color}"
        centered "{color=#00CC66}And too much spare time...{/color}"
        
        scene black
        with pixellate
        
        centered "{i}The Most Offensive Game Ever{/i}"
        centered "A {i}Windbreaker Productions{/i} Kinetic Novel"
        centered "By Dei Akarinazo"
        centered "Completed July 12, 2009 at 5:34 PM GMT - 8"
         
        return
        
